[Celerity-users] Celerity/OpenJDK issue?

Geoffrey Arnold geoffrey at geoffreyarnold.com
Tue Sep 29 15:58:40 EDT 2009


Indeed, as it turns out OpenJDK includes a version of Rhino in the jre/ 
lib/ directory.  So the next question is, how should this be fixed?

On Sep 29, 2009, at 12:53 PM, Jari Bakken wrote:

> On Tue, Sep 29, 2009 at 5:29 PM, Geoffrey Arnold
> <geoffrey at geoffreyarnold.com> wrote:
>> Hi All,
>>
>> Running Celerity through Cucumber on JRuby 1.3.1 and OpenJDK  
>> 1.6.0_0 on
>> Linux, and am receiving the error below.  The same test running on  
>> Sun's JDK
>> works fine.
>>
>> Is this a known issue?  If so, is there a workaround?
>
> Probably a classpath issue. Make sure you don't have old copies of
> HtmlUnit's jars in the classpath used by OpenJDK.
>
>>
>> Thanks,
>> Geoff.
>>
> _______________________________________________
> Celerity-users mailing list
> Celerity-users at rubyforge.org
> http://rubyforge.org/mailman/listinfo/celerity-users



More information about the Celerity-users mailing list